TakenAt: 2024-03-06T09:03:11Z
TakenAtLocal: 2024-03-06T09:03:11Z
TakenSrc: meta
UID: pt67wye5vi3e4yn1
Type: image
Title: Whitman Laboratories / Petersfield / 2024
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 71
Lat: 51.00570277777778
Lng: -0.9521055555555555
Year: 2024
Month: 3
Day: 6
ISO: 1000
Exposure: 1/25
FNumber: 1.78
FocalLength: 24
Quality: 4
Details:
  Keywords: bedford, england, grey, laboratories, petersfield, recents, road, united-kingdom,
    whitman
  Software: 17.3.1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T06:35:02Z
UpdatedAt: 2025-11-24T09:27:35Z
